> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lidian.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Public Order

> Get public order by ID

Get a public order by ID. No authentication required.


## OpenAPI

````yaml GET /api/public/orders/{id}
openapi: 3.1.0
info:
  title: Lidian Protocol API
  description: REST and WebSocket API for the Lidian cross-chain stablecoin swap protocol
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.lidian.finance
    description: API
security:
  - apiKeyAuth: []
paths:
  /api/public/orders/{id}:
    get:
      description: Get public order by ID
      parameters:
        - name: id
          in: path
          description: Order ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Order retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicOrderResponse'
        '404':
          description: Order not found
      security: []
components:
  schemas:
    PublicOrderResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
        data:
          $ref: '#/components/schemas/PublicOrder'
    PublicOrder:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
        createdAt:
          type: string
        updatedAt:
          type: string
        offerer:
          type: string
        recipient:
          type: string
        inputAmount:
          type: string
        outputAmount:
          type: string
        inputToken:
          type: string
        outputToken:
          type: string
        inputChain:
          type: string
        outputChain:
          type: string
        srcChainTxHash:
          type: string
        dstChainTxHash:
          type: string
        settlementTxHash:
          type: string
        failureReason:
          type: string
        source:
          type: string
          enum:
            - order
            - quote
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````